public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mpi4py/
Date: Tue, 12 Oct 2021 17:22:39 +0000 (UTC)	[thread overview]
Message-ID: <1634059344.d64bf0672e79b240faf4e8d15bb57958e99b7bd6.arthurzam@gentoo> (raw)

commit:     d64bf0672e79b240faf4e8d15bb57958e99b7bd6
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 12 17:01:30 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 12 17:22:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d64bf067

dev-python/mpi4py: enable py3.10

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/mpi4py/mpi4py-3.0.3.ebuild | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/dev-python/mpi4py/mpi4py-3.0.3.ebuild b/dev-python/mpi4py/mpi4py-3.0.3.ebuild
index 15fba5f284a..2a020662ac4 100644
--- a/dev-python/mpi4py/mpi4py-3.0.3.ebuild
+++ b/dev-python/mpi4py/mpi4py-3.0.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="Message Passing Interface for Python"
@@ -36,6 +36,13 @@ PATCHES=(
 	"${FILESDIR}/${P}-py38futures.patch"
 )
 
+src_prepare() {
+	sed -e 's/++Py_REFCNT/Py_INCREF/' \
+		-e 's/--Py_REFCNT/Py_DECREF/' \
+		-i src/*.c || die
+	distutils-r1_src_prepare
+}
+
 python_prepare_all() {
 	# not needed on install
 	rm -vr docs/source || die


             reply	other threads:[~2021-10-12 17:22 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-12 17:22 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-03 20:03 [gentoo-commits] repo/gentoo:master commit in: dev-python/mpi4py/ Michał Górny
2024-02-03 19:09 Sam James
2024-02-03 14:03 Arthur Zamarin
2023-12-21  0:07 Ionen Wolkens
2023-02-17  6:21 Michał Górny
2023-02-16 22:49 Sam James
2023-02-16 22:49 Sam James
2023-01-06 14:51 Yixun Lan
2023-01-06 14:51 Yixun Lan
2022-02-15 14:58 Jakov Smolić
2022-02-13 15:16 Sam James
2022-01-08 12:41 Yixun Lan
2022-01-08 12:41 Yixun Lan
2022-01-08 12:41 Yixun Lan
2021-08-13  6:58 Michał Górny
2020-03-20 16:17 Michał Górny
2019-09-07 11:58 Andreas Sturmlechner
2019-09-02 10:20 Agostino Sarubbo
2019-09-02 10:15 Agostino Sarubbo
2019-07-22 22:23 Andreas Sturmlechner
2017-12-22 18:17 Christoph Junghans
2017-07-15 21:46 Patrice Clement
2017-07-15 21:46 Patrice Clement
2017-06-26  4:35 Sebastien Fabbro
2017-01-18 16:52 Agostino Sarubbo
2016-11-28 14:28 Christoph Junghans
2015-10-21 13:41 Justin Lecher
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634059344.d64bf0672e79b240faf4e8d15bb57958e99b7bd6.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox